> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a message

Permanently removes a message and all associated data including attachments from storage. If the message is the last entry in the conversation, the entire conversation is also deleted. This action cannot be undone.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json delete /conversations/{id}/messages/{message_id}
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /conversations/{id}/messages/{message_id}:
    delete:
      tags:
        - Messages
      summary: Delete a message
      description: >-
        Permanently removes a message and all associated data including
        attachments from storage. If the message is the last entry in the
        conversation, the entire conversation is also deleted. This action
        cannot be undone.
      operationId: deleteMessage
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
          description: ID of the conversation containing the message.
        - name: message_id
          in: path
          required: true
          schema:
            type: string
          description: UUID or ID of the message to delete.
      responses:
        '204':
          description: Message deleted successfully (no content returned).
        '403':
          description: Missing required permission (message.delete).
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: Conversation or message not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````